package com.ssj.bean.weixin.user.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2018年2月2日 下午4:04:23 
 * 类说明 公众号关联的小程序
 */
@Entity
@Table(name = "tb_user_account")
public class UserAccount extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3374352383783464645L;
	
	/**
	 * 对应userid
	 */
	private String userId;
	/**
	 * 唯一unionid
	 */
	private String unionid;
	/**
	 * 小程序appid
	 */
	private String appid;
	/**
	 * 小程序对应openid
	 */
	private String openid;
	/**
	 * 1作业吧，2爱微孝，3时光合影,8阅读共享小程序
	 */
	private Integer type;
	
	 /**
	  * 创建时间
	  */
	private Date createTime;//创建时间

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUnionid() {
		return unionid;
	}

	public void setUnionid(String unionid) {
		this.unionid = unionid;
	}
	@Column(updatable = false)
	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}
	@Column(updatable = false)
	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
	@Column(name = "create_time", insertable = false, updatable = false)
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	

}
